Subject: Re: Appeal from Tim McSweeney regarding draft-mcsweeney-drop-scheme

From: Timothy Mcsweeney <[email-masked]>
Date: Tue, 28 Jul 2020 15:45:29 -0400 (EDT)

I was reading through this thread over the last couple days and really didn't want to participate but after today's appeal decision I thought it would be best to fill in some of the holes for the community's benefit FWIW.  So as soon as I gather up copies of all the email correspondence I will post them here with a couple other thoughts.

---

From: Timothy Mcsweeney <[email-masked]>
Date: Tue, 28 Jul 2020 16:00:24 -0400 (EDT)

I will start with #14.  Your appeal decision says "We thus interpret this appeal point to be a claim that this Designated Expert is unaware of who manages the URI.ARPA zone, and that on that basis he should be recalled from that position."

Here is a copy I sent Murray and Barry when they asked for clarification:

Hi Murray,

Hi Barry,

Claim 14.) The decision of the IESG to designate an URI review expert

that may not be aware of the responsibility of the uri.arpa zone.

This claim came from the response I recieved from the IANA on 6/30/2020

after a short series of emails where I asked Michelle the same question

I had asked Graham 4 months prior. Michelle new exactly what I was asking

and answered the question directly. When I showed her Graham's response

to the same question, which was basically, I don't know what you're

talking about, she said "He may not be aware of the responsibility of the

uri.arpa zone." This statement is where my claim comes from.

My first thought was, how can I be getting a technical review on URIs

from someone who doesn't know about uri.arpa.

My second thought was that Michelle is covering for the terrible reply I

recieved from Graham as an answer to the same question.

**Special note**

I almost did not include this claim because Michelle has been really

great to me and I don't want to ruin what I feel is a great start

but I felt it showed that I was being pushed sideways from the

very begining so I included it.

Sincerely,

Tim

And here is the email conversation:

Graham Klyne is the uri-scheme expert.  He may not be aware of the responsibility of the uri.arpa zone.  Together with the IAB, we handle the administration of the uri.arpa zone.

We have many internal and external experts that we consult with on various change requests.

If errors are reported, they would be investigated.

If a new naptr record were going to be added and there were errors, our DNS engineering team would most likely report that back to us.

Does that help answer your question?

Michelle

On Tue Jun 30 17:48:45 2020,
[email-masked]  wrote:

I asked the same question to your listed Expert Graham Klyne back on

April 2nd

2020.  What do you think about his reply? (below)

Hi Tim,

Er, no, I have no connection with NAPTR.

I’m not sure I properly understand the question, but if it's a case of

adding

a record to a DNS zone, then I’d have thought this was up to the zone

administrator, not IANA.

#g

Sent from my iPhone

On 1 Apr 2020, at 23:59, Timothy Mcsweeney <
[email-masked]>

wrote:

Hi Graham,

Are you the person who checks the naptr record for errors when someone

submits it to the IANA to have their URI placed in the dns?

Tim

**************************************************************

On June 30, 2020 at 1:40 PM Michelle Cotton via RT <

[email-masked]>  wrote:

Hi Tim,

We would have experts review it as well.

Updating the naptr records for uri.arpa is not something done very

often.

Do you have a specific question about errors?

--Michelle

Michelle Cotton

Protocol Parameters Engagement Sr. Manager

IANA Services

On Tue Jun 30 06:37:39 2020,
[email-masked]  wrote:

Hi Michelle,

Are you the person who checks the naptr record for errors when someone

submits

it to the IANA to have their URI placed in the dns?

Tim

---

From: Timothy Mcsweeney <[email-masked]>
Date: Tue, 28 Jul 2020 18:01:21 -0400 (EDT)

Sorry, this was supposed to go over here.  I don't want anyone to miss out on this info.

Alissa, remember when I sent you that email on the 7/3 (below).  I wanted to make sure the IESG members saw that last paragraph of RFC3405 section 5.

"The logical conclusion of this is that ANY

sanctioned URI scheme or URN namespace MUST be allowed to be

registered if it meets the requirements specified in this document as

regards times to live and general impact to the DNS."

But your detailed decision says

"Simply put, registration into URI.ARPA is not possible at present because of the oversight

described above, even if the URI scheme being registered is not provisional. This is not merely

because this particular application is ineligible, but rather because, at present, none are."

That to me sounds like a broken process....like it says in my appeal for a broken processes rfc2026#section-6.5.2

******

(begin email)

Alissa,

Because at this time I am unaware of what information the IESG will be using in its discussion, I would like to add the URI.ARPA Submission Procedures.

<
https://tools.ietf.org/html/rfc3405>

With particular attention to the last paragraph of Section 5:

<
https://tools.ietf.org/html/rfc3405#section-5>

5. Submission Procedure

Using the MIME Content-Type registration mechanism [8] as a model

for a successful registration mechanism, the 'URI.ARPA' and

'URN.ARPA' procedures consist of a request template submitted to an

open mailing list made up of interested parties. If no objections

are made within a two week period, a representative of the

registration authority considers the submission to be accepted and

enters that submission into the nameserver.

o Registrations for the 'URI.ARPA' zone are sent to

[email-masked]'.

o Registrations for the 'URN.ARPA' zone are sent to

[email-masked]'.

The registration authority is the Internet Assigned Numbers

Authority (IANA).

Objections are restricted to those that point out impacts on the zone

itself or to DNS in general. Objections to the URI scheme or to the

URN namespace-id are not allowed, as these should be raised in their

respective forums. The logical conclusion of this is that ANY

sanctioned URI scheme or URN namespace MUST be allowed to be

registered if it meets the requirements specified in this document as

regards times to live and general impact to the DNS.

Thank you,

Tim